SuSE9 Security Update : CUPS (YOU Patch Number 12396)

Critical Nessus Plugin ID 41292

Synopsis

The remote SuSE 9 host is missing a security-related patch.

Description

The following bugs have been fixed :

- Specially crafted tiff files could cause an integer overflow in the 'imagetops' filter. (CVE-2009-0163)

- Specially crafted pdf files could cause overflows in the 'pdftops' filter. (CVE-2009-0165, CVE-2009-0166, CVE-2009-0146, CVE-2009-0147, CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180, CVE-2009-1181, CVE-2009-1182, CVE-2009-1183)

Solution

Apply YOU patch number 12396.

See Also

http://support.novell.com/security/cve/CVE-2009-0146.html

http://support.novell.com/security/cve/CVE-2009-0147.html

http://support.novell.com/security/cve/CVE-2009-0163.html

http://support.novell.com/security/cve/CVE-2009-0165.html

http://support.novell.com/security/cve/CVE-2009-0166.html

http://support.novell.com/security/cve/CVE-2009-0799.html

http://support.novell.com/security/cve/CVE-2009-0800.html

http://support.novell.com/security/cve/CVE-2009-1179.html

http://support.novell.com/security/cve/CVE-2009-1180.html

http://support.novell.com/security/cve/CVE-2009-1181.html

http://support.novell.com/security/cve/CVE-2009-1182.html

http://support.novell.com/security/cve/CVE-2009-1183.html

Plugin Details

Severity: Critical

ID: 41292

File Name: suse9_12396.nasl

Version: Revision: 1.7

Type: local

Agent: unix

Published: 2009/09/24

Updated: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: Critical

CVSS v2.0

Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2009/04/17

Reference Information

CVE: CVE-2009-0146, CVE-2009-0147, CVE-2009-0163, CVE-2009-0165, CVE-2009-0166, CVE-2009-0799, CVE-2009-0800, CVE-2009-1179, CVE-2009-1180, CVE-2009-1181, CVE-2009-1182, CVE-2009-1183

CWE: 20, 119, 189, 399